package com.docus.server.collect.report.noview;

import com.docus.server.collect.IJobResult;
import lombok.extern.slf4j.Slf4j;

import java.util.Map;

@Slf4j
public abstract class AbstractNoViewJobResultImpl<T> implements IJobResult<T> {

    @Override
    public T ok(Map<String, Object> params) {
        return null;
    }

    @Override
    public T fail(Map<String, Object> params) {
        return null;
    }

    @Override
    public void handle(T results, String param) {

    }
}
